org.apache.pdfbox.pdmodel.interactive.documentnavigation.outline

## Class PDDocumentOutline

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper
  - - org.apache.pdfbox.pdmodel.interactive.documentnavigation.outline.PDOutlineNode
    - - org.apache.pdfbox.pdmodel.interactive.documentnavigation.outline.PDDocumentOutline

All Implemented Interfaces:
  COSObjectable

    public final class PDDocumentOutline
    extends PDOutlineNode

This represents an outline in a pdf document.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDDocumentOutline()` Default Constructor.
`PDDocumentOutline(COSDictionary dic)` Constructor for an existing document outline.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `closeNode()` Close this node.
`boolean` `isNodeOpen()`
`void` `openNode()` This will set this node to be open when it is shown in the viewer.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.documentnavigation.outline.PDOutlineNode

`addFirst, addLast, children, getFirstChild, getLastChild, getOpenCount, hasChildren`

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

`equals, getCOSObject, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDDocumentOutline

    public PDDocumentOutline()

Default Constructor.

#### PDDocumentOutline

    public PDDocumentOutline(COSDictionary dic)

Constructor for an existing document outline.

Parameters:
  `dic` - The storage dictionary.

### Method Detail

#### isNodeOpen

    public boolean isNodeOpen()

Overrides:
  `isNodeOpen` in class `PDOutlineNode`
Returns:
  true if this node count is greater than zero, false otherwise.

#### openNode

    public void openNode()

Description copied from class: `PDOutlineNode`
This will set this node to be open when it is shown in the viewer. By default, when a new node is created it will be closed. This will do nothing if the node is already open.

Overrides:
  `openNode` in class `PDOutlineNode`

#### closeNode

    public void closeNode()

Description copied from class: `PDOutlineNode`
Close this node.

Overrides:
  `closeNode` in class `PDOutlineNode`